ANNOTATE-OUTPUT(1)

NOM
annotate-output - Annoter la sortie d'un programme avec la date et les flux

SYNOPSIS
annotate-output [options] programme [paramètres ...]

DESCRIPTION
annotate-output va lancer le programme indiqué en ajoutant au début de chaque ligne l'heure actuelle ainsi qu'un O pour la sortie standard ("stdout") et un E pour la sortie d'erreur ("stderr").

OPTIONS

+FORMAT
    Contrôler le format d'horodatage, comme pour date(1). "%H:%M:%S" par défaut.

-h, --help
    Afficher un message d'aide et quitter avec succès.

EXEMPLE

$ annotate-output make
21:41:21 I: make démarré
21:41:21 O: gcc -Wall programme.c
21:43:18 E: programme.c: n'a pas compilé et durée de diagnostic dépassée
21:43:19 E: collect2: ld a retourné un code de sortie 1
21:43:19 E: make: *** [all] Erreur 1
21:43:19 I: terminé avec un code de sortie 2

BOGUES
Puisque stdout et stderr sont traitées en parallèle, il peut arriver que quelques lignes reçues sur stdout soient affichées avant des lignes de stderr (et inversement).

C'est malheureusement très difficile à corriger avec la stratégie d'annotation choisie. Une solution serait de passer à un suivi par PTRACE. Donner à nice une (bien) plus grande priorité par rapport au programme exécuté pourrait cependant éviter que ce comportement n'arrive trop fréquemment.

Ce programme ne fonctionne pas non plus très bien si la sortie n'est pas faite ligne par ligne. En particulier, quand un programme interactif attend une entrée, la question peut ne pas être affichée tant que vous n'y avez pas répondu. Cela peut donner l'impression que le programme ainsi lancé a gelé, alors que ce n'est pas le cas.

VOIR AUSSI
date(1)

AIDE
Ce programme est maintenu par la communauté (comprendre : vous allez devoir le corriger vous-même). Les rustines sont toutefois appréciées, ainsi que toute sorte de retour (positif ou non).

AUTEUR
Cette page de manuel a été écrite par Jeroen van Wolffelaar <jeroen@wolffelaar.nl> et peut être redistribuée sous les termes de la licence GPL version 2. Le script annotate-output lui-même a été réécrit par Johannes Schauer Marin Rodrigues <josch@debian.org> et peut être redistribué sous les termes de la licence Expat.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.